@tailwind base;
@tailwind components;
@tailwind utilities;

[x-cloak] {
    display: none;
}

.grid-cols-2 {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-areas:"l r";
    align-items: start;
}

.function_lbar {
    grid-area: l;
}
.function_rbar {
    grid-area: r;
}

.text-indigo-400 {
    --tw-text-opacity: 1;
    color: rgb(147 147 255 / var(--tw-text-opacity))
}

.text-indigo-500 {
    --tw-text-opacity: 1;
    color: rgb(128 128 192 / var(--tw-text-opacity))
}

.mx-1 {
    margin-left: .25rem;
    margin-right: .25rem
}
.mx-2 {
    margin-left: .5rem;
    margin-right: .5rem
}

.mb-1 {
    margin-bottom: .25rem
}
.mb-2 {
    margin-bottom: .5rem
}
.mb-3 {
    margin-bottom: .75rem
}

.mr-4 {
    margin-right: 1rem
}

.mr-6 {
    margin-right: 1.5rem
}

.w-30 {
    width: 7.5rem
}

.w-36 {
    width: 9rem
}

.w-40 {
    width: 10rem
}

.w-ten {
    width: 10%
}

.w-thirty {
    width: 30%
}

.w-forty {
    width: 40%
}

.w-sixty {
    width: 60%
}

.w-seventy {
    width: 70%
}
.w-eighty {
    width: 80%
}

.w-ninety {
    width: 90%
}

.nowrap{
    white-space:nowrap;
}

.pb-0 {
    position: absolute;
    bottom:0px;
}

.space-x-4>:not([hidden])~:not([hidden]) {
    --tw-space-x-reverse: 0;
    margin-right: calc(1rem * var(--tw-space-x-reverse));
    margin-left: calc(1rem * calc(1 - var(--tw-space-x-reverse)))
}

.border-gray-500 {
    --tw-border-opacity: 1;
    border-color: rgb(107 114 128 / var(--tw-border-opacity))
}

.border-gray-800 {
    --tw-border-opacity: 1;
    border-color: rgb(31 41 55 / var(--tw-border-opacity))
}

.border-white {
    --tw-border-opacity: 1;
    border-color: rgb(255 255 255 / var(--tw-border-opacity))
}

.border-l {
    border-left-width: 1px
}

.bg-gray-300 {
    --tw-bg-opacity: 1;
    background-color: rgb(209 213 219 / var(--tw-bg-opacity))
}

.bg-gray-400 {
    --tw-bg-opacity: 1;
    background-color: rgb(156 163 175 / var(--tw-bg-opacity))
}
